[arch-commits] Commit in gmp/repos (6 files)
Allan McRae
allan at nymeria.archlinux.org
Tue Mar 25 23:12:21 UTC 2014
Date: Wednesday, March 26, 2014 @ 00:12:21
Author: allan
Revision: 208731
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
gmp/repos/testing-i686/
gmp/repos/testing-i686/PKGBUILD
(from rev 208730, gmp/trunk/PKGBUILD)
gmp/repos/testing-i686/gmp.install
(from rev 208730, gmp/trunk/gmp.install)
gmp/repos/testing-x86_64/
gmp/repos/testing-x86_64/PKGBUILD
(from rev 208730, gmp/trunk/PKGBUILD)
gmp/repos/testing-x86_64/gmp.install
(from rev 208730, gmp/trunk/gmp.install)
----------------------------+
testing-i686/PKGBUILD | 34 ++++++++++++++++++++++++++++++++++
testing-i686/gmp.install | 20 ++++++++++++++++++++
testing-x86_64/PKGBUILD | 34 ++++++++++++++++++++++++++++++++++
testing-x86_64/gmp.install | 20 ++++++++++++++++++++
4 files changed, 108 insertions(+)
Copied: gmp/repos/testing-i686/PKGBUILD (from rev 208730, gmp/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2014-03-25 23:12:21 UTC (rev 208731)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gmp
+pkgver=6.0.0
+pkgrel=1
+pkgdesc="A free library for arbitrary precision arithmetic"
+arch=('i686' 'x86_64')
+url="http://gmplib.org/"
+depends=('gcc-libs' 'sh')
+license=('LGPL3')
+install=gmp.install
+source=(ftp://ftp.gmplib.org/pub/gmp-${pkgver}/gmp-${pkgver}a.tar.xz{,.sig})
+md5sums=('1e6da4e434553d2811437aa42c7f7c76'
+ 'SKIP')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ ./configure --build=${CHOST} \
+ --prefix=/usr --enable-cxx
+ make
+}
+
+check() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make check
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}" install
+}
Copied: gmp/repos/testing-i686/gmp.install (from rev 208730, gmp/trunk/gmp.install)
===================================================================
--- testing-i686/gmp.install (rev 0)
+++ testing-i686/gmp.install 2014-03-25 23:12:21 UTC (rev 208731)
@@ -0,0 +1,20 @@
+info_dir=usr/share/info
+info_files=(gmp.info gmp.info-1 gmp.info-2)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for f in ${info_files[@]}; do
+ install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for f in ${info_files[@]}; do
+ install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
Copied: gmp/repos/testing-x86_64/PKGBUILD (from rev 208730, gmp/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2014-03-25 23:12:21 UTC (rev 208731)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gmp
+pkgver=6.0.0
+pkgrel=1
+pkgdesc="A free library for arbitrary precision arithmetic"
+arch=('i686' 'x86_64')
+url="http://gmplib.org/"
+depends=('gcc-libs' 'sh')
+license=('LGPL3')
+install=gmp.install
+source=(ftp://ftp.gmplib.org/pub/gmp-${pkgver}/gmp-${pkgver}a.tar.xz{,.sig})
+md5sums=('1e6da4e434553d2811437aa42c7f7c76'
+ 'SKIP')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ ./configure --build=${CHOST} \
+ --prefix=/usr --enable-cxx
+ make
+}
+
+check() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make check
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}" install
+}
Copied: gmp/repos/testing-x86_64/gmp.install (from rev 208730, gmp/trunk/gmp.install)
===================================================================
--- testing-x86_64/gmp.install (rev 0)
+++ testing-x86_64/gmp.install 2014-03-25 23:12:21 UTC (rev 208731)
@@ -0,0 +1,20 @@
+info_dir=usr/share/info
+info_files=(gmp.info gmp.info-1 gmp.info-2)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for f in ${info_files[@]}; do
+ install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for f in ${info_files[@]}; do
+ install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
More information about the arch-commits
mailing list